Bug 1543396 - A-MQ Components not visible in Java Console when using IE11 browser
Summary: A-MQ Components not visible in Java Console when using IE11 browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 3.4.1
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
: 3.4.z
Assignee: Alexandre Kieling
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1518407 1543435 1543467 1543525 1543532
Blocks: 1519573 1543402
TreeView+ depends on / blocked
 
Reported: 2018-02-08 11:41 UTC by Alexandre Kieling
Modified: 2018-04-18 07:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: use of javascript Array method not supported by IE11 (Array.find, Array.findIndex) Consequence: Error that prevents some A-MQ pages to show content when the user clicks on a tree node Fix: Replace the unsupported Array methods with the Lodash library Result: A-MQ pages show their content as expected
Clone Of: 1518407
: 1543402 (view as bug list)
Environment:
Last Closed: 2018-04-18 07:00:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1134 None None None 2018-04-18 07:02:00 UTC

Comment 1 Alexandre Kieling 2018-02-12 14:05:41 UTC
Pull request:
https://github.com/openshift/origin-web-console/pull/2786

Comment 2 Alexandre Kieling 2018-03-09 18:25:33 UTC
I think this issue can be tested.

Comment 4 Junqi Zhao 2018-04-03 02:41:29 UTC
The right pane shows details about the selected tree node in IE 11 now.

IE Version: 11.309.16299.0
# openshift version
openshift v3.4.1.44.52
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0

openshift-jvm version:  1.2.6

Comment 7 errata-xmlrpc 2018-04-18 07:00:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1134


Note You need to log in before you can comment on or make changes to this bug.